{% extends "base.html" %}

{% block title %}{{ pack.title }}{% endblock %}


{% block head %}
    <script src="https://twemoji.maxcdn.com/2/twemoji.min.js?2.4"></script>
    <style>
    ul#stickers {
        margin: 0;
        padding: 0;
        display: flex;
        flex-flow: row wrap;
        list-style: none;
    }
    li.sticker {
        display: flex;
        flex-flow: column;
        margin: 5px;
    }
    .sticker p {
        font-size: xx-large;
        text-align: center;
    }
    .sticker img {
        width: 256px;
        height: 256px;
        object-fit: contain;
    }
    </style>
{% endblock %}

{% block body %}
    <main>
        <h1><a href="{{ pack.url}}">{{ pack.title }}</a></h1>
        <ul id="stickers">
            {% for sticker in pack.stickers %}
                <li class="sticker">
                    <p>{{ sticker.emoji }}</p>
                    {% if sticker.mime_type == "image/webp" %}
                        <img src="stickers/{{ pack.short_name }}/{{ sticker.id }}.webp" alt="" />
                    {% endif %}
                </li>
            {% endfor %}
        </ul>
    </main>
    <script>
        twemoji.parse(document.getElementById("stickers"));
    </script>
{% endblock %}


